%global _owner pgnd
%global _build_timestamp %( date +%%Y%%m%%d_%%H%%M%%S --utc )
%global _dist .%{_build_timestamp}.%{_owner}.fc%{fedora}

%define _fmam_name        fm-auth-milter
%define _fmam_ug_name     %{_fmam_name}-sysusers
%define _fmam_ug_pkgname  %{_fmam_ug_name}
%define _fmam_ug_comment  Fastmail Authentication Milter users & groups

# https://spdx.org/licenses/MIT.html
%global _fmam_ug_license MIT

%define _fmam_ug_file_in  %{_fmam_name}.sysusers
%define _fmam_ug_file_out %{_fmam_name}.conf
%define _fmam_ug_dir      /etc/sysusers.d

%global dist %{_dist}

Vendor:           %{_owner}

# NEVRA (n-e:v-r.a)
Name:              %{_fmam_ug_name}
Epoch:             3
Version:           git_1.0
Release:           0%{?dist}
BuildArch:         noarch
#	https://blog.jasonantman.com/2014/07/how-yum-and-rpm-compare-versions/
%global _same_evr   %{epoch}:%{version}-%{release}

Summary:           %{_fmam_ug_comment}
License:           %{_fmam_ug_license}

Source0:           %{_fmam_ug_file_in}
Provides:          group(%{_fmam_name})
Provides:          user(%{_fmam_name})

BuildRequires:     coreutils
BuildRequires:     systemd-rpm-macros
%{?sysusers_requires_compat}

%description
%{_fmam_ug_comment}

%prep
cp %{SOURCE0} .

%build

%install
mkdir -p %{buildroot}%{_fmam_ug_dir}
install -p -T -m 644 %{SOURCE0} %{buildroot}%{_fmam_ug_dir}/%{_fmam_ug_file_out}

%check

%pre
%sysusers_create_compat %{SOURCE0}

%files
%dir %{_fmam_ug_dir}
%{_fmam_ug_dir}/%{_fmam_ug_file_out}

%changelog
* Thu Dec  5 2024 pgnd _ <null@null.loc>
- bump 1733411999
